Bug 1277983 - (CVE-2015-8558) CVE-2015-8558 Qemu: usb: infinite loop in ehci_advance_state results in DoS
CVE-2015-8558 Qemu: usb: infinite loop in ehci_advance_state results in DoS
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151210,reported=2...
: Security
Depends On: 1291309 1291310
Blocks: 1277989
  Show dependency treegraph
 
Reported: 2015-11-04 08:28 EST by Adam Mariš
Modified: 2018-07-18 10:44 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An infinite-loop issue was found in the QEMU emulator built with USB EHCI emulation support. The flaw occurred during communication between the host controller interface(EHCI) and a respective device driver. These two communicate using an isochronous transfer descriptor list(iTD); an infinite loop unfolded if there was a closed loop in the list. A privileged user inside a guest could use this flaw to consume excessive resources and cause denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-04 08:28:39 EST
Qemu emulator built with the USB EHCI emulation support is vulnerable to an
infinite loop issue. It occurs during communication between host controller interface(EHCI) and a respective device driver. These two communicate via a isochronous transfer descriptor list(iTD) and an infinite loop unfolds if there is a closed loop in this list.

A privileges used inside guest could use this flaw to consume excessive CPU cycles & resources on the host.

Upstream fix:
-------------
  -> git.qemu.org/?p=qemu.git;a=commit;h=156a2e4dbffa85997636a7a39ef12da6f1b40254

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/14/16
Comment 2 Adam Mariš 2015-11-04 08:46:30 EST
Acknowledgments:

Red Hat would like to thank Qinghao Tang of QIHU 360 for reporting this issue.
Comment 4 Prasad J Pandit 2015-12-14 09:32:13 EST
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 5 Prasad J Pandit 2015-12-14 09:41:11 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1291310]
Comment 6 Prasad J Pandit 2015-12-14 09:41:26 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1291309]
Comment 8 Fedora Update System 2016-01-12 02:54:09 EST
qemu-2.4.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-19 18:54:21 EST
qemu-2.3.1-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-28 13:25:06 EST
xen-4.5.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-02-01 01:30:07 EST
xen-4.5.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.